Bug 647783 - perl-Mail-Box shouldn't force spamassassin to be installed
Summary: perl-Mail-Box shouldn't force spamassassin to be installed
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Mail-Box
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-29 12:36 UTC by Jonathan Kamens
Modified: 2014-08-01 23:55 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-08-01 06:03:07 UTC


Attachments (Terms of Use)

Description Jonathan Kamens 2010-10-29 12:36:44 UTC
People who aren't planning on using spamassassin shouldn't be forced to install it just to be able to use the modules in perl-Mail-Box, most of which are totally independent of spamassassin.

One fix would be to remove the dependency on Mail::SpamAssassin completely from the perl-Mail-Box RPM, in which case, people who try to use spamassassin functionality in perl-Mail-Box will simply get an error because of the missing module and know they need to install spamassassin.

Another fix would be to split the perl modules in spamassassin into a separate RPM, e.g., spamassassin-perl, so they can be installed without the rest of spamassassin.

Comment 1 Tom "spot" Callaway 2010-11-01 20:02:10 UTC
I'm not inclined to hack up perl-Mail-Box to remove the dependency here. I'd much rather see spamassassin-perl split off. Reassigning to spamassassin.

Note: if the perl components do go into a spamassassin-perl subpackage, this package would not need to be rebuilt, as it depends on perl(Mail::SpamAssassin)

Comment 2 Warren Togami 2011-03-01 23:26:49 UTC
perl-Mail-Box cannot use spamassassin as a library in any useful fashion if only the perl modules are installed.  So this is either NOTABUG, or perl-Mail-Box should be changed in one of two ways:

1) Spamassassin is a minor optional dep of perl-Mail-Box.  Remove it and nobody would notice.
2) Explicitly require spamassassin so that optional feature works.

Comment 3 Jonathan Kamens 2011-03-02 01:34:32 UTC
I don't know whose responsibility it is to fix the bug, but it's certainly a bug. It's ridiculous that I can't install perl-Mail-Box on a system that doesn't do any mail processing at all without having to install spamassassin as well.

Comment 4 Warren Togami 2011-03-02 02:20:42 UTC
This is up to the perl-Mail-Box maintainer to choose Option #1 or #2.  spamassassin will not split as it helps nobody to do so.  This is not spamassassin's problem.

Comment 5 Paul Howarth 2011-03-02 08:03:44 UTC
I'd suggest filtering out the spamassassin dependency from perl-Mail-Box, given that the documentation for Mail::Box::Search::SpamAssassin says:

  Each message which is searched is wrapped in a
  Mail::Message::Wrapper::SpamAssassin object.

... and the documentation for Mail::Message::Wrapper::SpamAssassin says:

  WARNING: This module only works with the old version of SpamAssassin:
  version 2.x. The newer 3.x releases have changed the way that messages
  are kept. Please contribute improved code.

So the spamassassin dependency doesn't add any working functionality.

Comment 6 Fedora Update System 2011-03-02 17:39:24 UTC
Package perl-Mail-Box-2.097-1.el5.1:
* should fix your issue,
* was pushed to the Fedora EPEL 5 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-Mail-Box-2.097-1.el5.1'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/perl-Mail-Box-2.097-1.el5.1
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-03-02 17:39:31 UTC
Package perl-Mail-Box-2.097-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-Mail-Box-2.097-1.el6'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/perl-Mail-Box-2.097-1.el6
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-03-02 17:39:38 UTC
Package perl-Mail-Box-2.097-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-Mail-Box-2.097-1.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/perl-Mail-Box-2.097-1.fc14
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2011-03-02 17:39:46 UTC
Package perl-Mail-Box-2.097-1.fc13:
* should fix your issue,
* was pushed to the Fedora 13 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-Mail-Box-2.097-1.fc13'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/perl-Mail-Box-2.097-1.fc13
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2011-03-02 17:39:53 UTC
Package perl-Mail-Box-2.097-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-Mail-Box-2.097-1.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/perl-Mail-Box-2.097-1.fc15
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2011-03-03 00:53:06 UTC
perl-Mail-Box-2.097-1.el5.1 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Mail-Box'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/perl-Mail-Box-2.097-1.el5.1

Comment 12 Fedora Update System 2011-03-08 02:22:34 UTC
perl-Mail-Box-2.097-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-03-10 20:47:33 UTC
perl-Mail-Box-2.097-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2011-03-14 10:21:43 UTC
perl-Mail-Box-2.097-1.fc13, perl-File-FcntlLock-0.12-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2011-03-17 17:02:27 UTC
perl-Mail-Box-2.097-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2011-03-26 18:56:27 UTC
perl-Mail-Box-2.097-1.el5.1, perl-File-FcntlLock-0.12-1.el5.1 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Petr Pisar 2014-07-23 13:53:28 UTC
And the dependency is back again:

root@fedora-22:~ # repoquery --requires perl-Mail-Box | grep SpamAssassin
perl(Mail::SpamAssassin)
perl(Mail::SpamAssassin::Message)

root@fedora-22:~ # repoquery perl-Mail-Box --source
perl-Mail-Box-2.107-5.fc21.src.rpm

That's due to the fact that current %perl_default_filter is not compatible with old rpmbuild dependency filters as %filter_from_requires is:

 %prep
 %setup -q -n Mail-Box-%{version}
 
+%filter_from_requires /perl(Mail::SpamAssassin)/d
+%{?perl_default_filter}
+
+

This must be upgraded to modern dependency filters (%__requires_exclude).

Comment 18 Petr Pisar 2014-07-23 14:25:35 UTC
Fixed as perl-Mail-Box-2.107-6.fc21 in F21.

Comment 19 Fedora Update System 2014-07-23 14:26:01 UTC
perl-Mail-Box-2.107-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Mail-Box-2.107-5.fc20

Comment 20 Fedora Update System 2014-07-24 03:20:56 UTC
Package perl-Mail-Box-2.107-5.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-Mail-Box-2.107-5.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8756/perl-Mail-Box-2.107-5.fc20
then log in and leave karma (feedback).

Comment 21 lnie 2014-07-24 05:33:31 UTC
Tested with perl-Mail-Box-2.107-5.fc20,the dependency for spamassassin is removed

Comment 22 Fedora Update System 2014-07-24 06:17:04 UTC
perl-Mail-Box-2.107-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-Mail-Box-2.107-2.fc19

Comment 23 Fedora Update System 2014-08-01 06:03:07 UTC
perl-Mail-Box-2.107-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2014-08-01 23:55:53 UTC
perl-Mail-Box-2.107-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.